@echo off
cls
choice /c123 Begin in part 1, part 2 or part 3?  
if errorlevel=3 goto part3
if errorlevel=2 goto part2
if errorlevel=1 goto part1  



:part1
cls
echo PART 1
echo.
choice /c123 Chose resolution, 1-320x240  2-512x384  3-640x480  
if errorlevel=3 goto 6401
if errorlevel=2 goto 5121
if errorlevel=1 goto 3201

:6401
cd..
quake2 +set game "warrior" +map intro1.dm2 +set gl_mode "3" +set sw_mode "3" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end

:5121
cd..
quake2 +set game "warrior" +map intro1.dm2 +set gl_mode "2" +set sw_mode "2" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end

:3201
cd..
quake2 +set game "warrior" +map intro1.dm2 +set gl_mode "0" +set sw_mode "0" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end



:part2
cls
echo PART 2
echo.
choice /c123 Chose resolution, 1-320x240  2-512x384  3-640x480  
if errorlevel=3 goto 6402
if errorlevel=2 goto 5122
if errorlevel=1 goto 3202


:6402
cd..
quake2 +set game "warrior" +map part2_1.dm2 +set gl_mode "3" +set sw_mode "3" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end

:5122
cd..
quake2 +set game "warrior" +map part2_1.dm2 +set gl_mode "2" +set sw_mode "2" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end

:3202
cd..
quake2 +set game "warrior" +map part2_1.dm2 +set gl_mode "0" +set sw_mode "0" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end



:part3
cls
echo PART 3
echo.
choice /c123 Chose resolution, 1-320x240  2-512x384  3-640x480  
if errorlevel=3 goto 6403
if errorlevel=2 goto 5123
if errorlevel=1 goto 3203


:6403
cd..
quake2 +set game "warrior" +map part3_1.dm2 +set gl_mode "3" +set sw_mode "3" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end

:5123
cd..
quake2 +set game "warrior" +map part3_1.dm2 +set gl_mode "2" +set sw_mode "2" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end

:3203
cd..
quake2 +set game "warrior" +map part3_1.dm2 +set gl_mode "0" +set sw_mode "0" +set s_khz "22" +set s_loadas8bit "0" +gl_round_down 0
goto end



:end
cd warrior
cls
echo site:    http://www.angelfire.com/ok3/warriorlife
